DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
PATCH/chatbot/{chatbotId}

Update a chatbot (admin only)

Update a chatbot (admin only)

DELETE/chatbot/{chatbotId}arrow_forward
tune
Parameters
chatbotIdrequiredpath
string (uuid)
The UUID of the chatbot
upload
Request body
name
string
The name of the chatbot
slug
string
A URL-friendly slug for the chatbot (lowercase letters, numbers, and hyphens)
type
string · chat | support
The type of chatbot
active
boolean
Whether the chatbot is active
domain
string (hostname)
The domain for the chatbot (must be unique)
double_arrow
Returns 200
message
string
report
Errors
StatusDescription
401Default Response
403Default Response
404Default Response
409Default Response
500Default Response
north_east
Request
curl -X PATCH 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "name",
  "slug": "slug",
  "type": "chat",
  "active": true,
  "domain": "domain"
}'
south_west
Response
200 OK
application/json
{
  "message": "message"
}